Package org.tmatesoft.svn.core.wc2

# Class SvnSuggestMergeSources

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<Collection<SVNURL>>
org.tmatesoft.svn.core.wc2.SvnSuggestMergeSources

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnSuggestMergeSources extends SvnOperation<Collection<SVNURL>>
Returns a collection of potential merge sources (expressed as full repository `URLs`) for working copy `target` at `target`'s `pegRevision`.

`SvnOperation.run()` potential merge sources for `url`.

Version:
  1.7
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnSuggestMergeSources(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isChangesWorkingCopy()`
Gets whether the operation changes working copy

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnSuggestMergeSources

protected SvnSuggestMergeSources(SvnOperationFactory factory)

## Method Details

### isChangesWorkingCopy

public boolean isChangesWorkingCopy()
Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<Collection<SVNURL>>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`